package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag972;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT972Creator;

/**
 * @author hedonghao
 * @date 2023/2/25
 */
public class Tag28CCreator extends AbsTagCreate {

    private MT972Creator mt972Creator;

    public Tag28CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt972Creator= (MT972Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag28CValue=mt972Creator.getStatSeqNumber();
        mt972Creator.set("28C",tag28CValue);
    }
}
